import { Repository } from "typeorm";
import { ProductRequest } from "../../common/productrequest/productrequest.entity";
import { UpdateStatusCloseOpenDto } from "./UpdateStatusCloseOpenDto";
export declare class AdminProductRequestService {
    private readonly productrequestRepository;
    constructor(productrequestRepository: Repository<ProductRequest>);
    findAll(vendorId?: string, categoryId?: string): Promise<ProductRequest[]>;
    findOne(id: number): Promise<ProductRequest>;
    remove(id: number): Promise<void>;
    updateStatus(id: number, UpdateStatusCloseOpenDto: UpdateStatusCloseOpenDto): Promise<{
        status: boolean;
        message: string;
        data: ProductRequest;
    }>;
}
